//FirstView Component Constructor
function FirstView() {

    var MapModule = require('ti.map');

    var myView = Ti.UI.createView({
        backgroundColor: 'white',
        top: 0,
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        layout: 'vertical'
    });

    var myMap = MapModule.createView({
        animation: true,
        region : {
            latitude:37.390749,
           longitude:-122.081651,
        },
        top: 0,
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        userLocation: false
    });

    var mountainViewAnnotation = MapModule.createAnnotation({
        latitude:37.390749,
        longitude:-122.081651,
        title:"Appcelerator Headquarters",
        image: '/images/android-location-pin-green.png'
    });

    var ann2 = MapModule.createAnnotation({
        latitude:38.390749,
        longitude:-122.081651,
        title:"SOMEWhere",
        image: '/images/android-location-pin-green.png'
    });

    var myAnn = MapModule.createAnnotation({
        latitude:39.390749,
        longitude:-123.081651,
        title:"SOMEWhere",
        image: '/images/android-location-pin-green.png'
    });
    
    var anns = []
    anns.push(mountainViewAnnotation);
    anns.push(ann2);

    myView.add(myMap);

    setTimeout(function() {
        myMap.addAnnotations(anns);
    


    }, 5000);

    setTimeout(function() {
        myMap.addAnnotation(myAnn);
    


    }, 1000);

	return myView;
}

module.exports = FirstView;
